<template>
  <section>
    <test-banner :primary-class="primaryClass" :primary-color="primaryColor" />
    <test-button text="Teste" button-type="primary" :primary-class="primaryClass" :action="() => {}"/>
  </section>
</template>

<script lang="ts">
import Vue from 'vue';

import TestBanner from '@/components/Home/TestBanner.vue';
import TestButton from '@/components/Base/TestButton.vue';

export default Vue.extend({
  computed: {
    primaryClass(): string {
      return '***INSERT CLASS***';
    },
    primaryColor(): string {
      return '***INSERT COLOR***';
    },
  },
  components: {
    TestBanner,
    TestButton,
  },
});
</script>
